Package org.wso2.carbon.rest.api.ui.client

## Class AuthAdminServiceClient

- java.lang.Object
- - org.wso2.carbon.rest.api.ui.client.AuthAdminServiceClient

-     public class AuthAdminServiceClient
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CLIENT_TRUST_STORE_PATH` |
    `static String` | `HOST_NAME` |
    `static String` | `HTTPS_PORT` |
    `static String` | `KEY_STORE_PASSWORD` |
    `static String` | `KEY_STORE_TYPE` |
    `static String` | `PASSWORD` |
    `static String` | `SERVICE_URL` |
    `static String` | `USER_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthAdminServiceClient()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `init​(String backEndServerURL)` |
    `static String` | `login​(String hostName, String userName, String password)` |
    `static void` | `setSystemProperties​(String keyStorePath, String keyStoreType, String keyStorePassword)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLIENT_TRUST_STORE_PATH

          public static final String CLIENT_TRUST_STORE_PATH

      See Also:
        Constant Field Values

    - #### HOST_NAME

          public static final String HOST_NAME

      See Also:
        Constant Field Values

    - #### HTTPS_PORT

          public static final String HTTPS_PORT

      See Also:
        Constant Field Values

    - #### SERVICE_URL

          public static final String SERVICE_URL

      See Also:
        Constant Field Values

    - #### USER_NAME

          public static final String USER_NAME

      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final String PASSWORD

      See Also:
        Constant Field Values

    - #### KEY_STORE_PASSWORD

          public static final String KEY_STORE_PASSWORD

      See Also:
        Constant Field Values

    - #### KEY_STORE_TYPE

          public static final String KEY_STORE_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthAdminServiceClient

          public AuthAdminServiceClient()
                                 throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### init

          public static void init​(String backEndServerURL)
                           throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### login

          public static String login​(String hostName,
                                     String userName,
                                     String password)
                              throws Exception

      Throws:
        `Exception`

    - #### setSystemProperties

          public static void setSystemProperties​(String keyStorePath,
                                                 String keyStoreType,
                                                 String keyStorePassword)